Subject: Re: [PATCH v2 2/2] an improvement: removed configure.ac changes

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Feb 2024 23:38:03 -0800

"Haritha D via GitGitGadget" <[email-masked]> writes:

> From: Haritha D <[email-masked]>
>
> Hello Reviewers, as an improvement, I have
> removed the CC_LD_DYNPATH changes because
> I was able to achieve the desired outcome
> by passing it to the make step.
>
> Signed-off-by: Haritha D <[email-masked]>
> ---
>  configure.ac | 3 ---
>  1 file changed, 3 deletions(-)

We frown upon a patch series that makes mistakes in an earlier step,
only to fix them in a later step.  The "git rebase -i" command helps
us pretend to be more perfect developers than we actually are,
whipping your patch series into a shape that builds one small step
on top of another in a logical succession.  Such a patch series is
easier to understand than a history that faithfully records all the
stumbles the developer made until they reached the final solution.

In this case, if you know before you sent these two patches that you
do not need to touch configure.ac for CC_LD_DYNPATH at all, you can
"git rebase -i" to whip the first patch into the desired shape, i.e.
no changes to configure.ac, and drop this second patch, I think.

> diff --git a/configure.ac b/configure.ac
> index 64569a80d53..d1a96da14eb 100644
> --- a/configure.ac
> +++ b/configure.ac
> @@ -463,9 +463,6 @@ else
>              CC_LD_DYNPATH=-Wl,+b,
>            else
>               CC_LD_DYNPATH=
> -	     if test "$(uname -s)" = "OS/390"; then
> -		     CC_LD_DYNPATH=-L
> -	     fi
>               AC_MSG_WARN([linker does not support runtime path to dynamic libraries])
>            fi
>        fi